## org.eclipse.uml2.uml
Interface DirectedRelationship

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Relationship

All Known Subinterfaces:
  Abstraction, ComponentRealization, Dependency, Deployment, ElementImport, Extend, Generalization, Include, InformationFlow, InterfaceRealization, Manifestation, PackageImport, PackageMerge, ProfileApplication, ProtocolConformance, Realization, Substitution, TemplateBinding, Usage

    public interface DirectedRelationship

extends Relationship

A representation of the model object 'Directed Relationship'. A directed relationship represents a relationship between a collection of source model elements and a collection of target model elements.

The following features are supported:

- `Source`
- `Target`

See Also:
  `UMLPackage.getDirectedRelationship()`

Method Summary
`org.eclipse.emf.common.util.EList<Element>` `getSources()` Returns the value of the 'Source' reference list.
`org.eclipse.emf.common.util.EList<Element>` `getTargets()` Returns the value of the 'Target' reference list.

Methods inherited from interface org.eclipse.uml2.uml.Relationship
`getRelatedElements`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSources

    org.eclipse.emf.common.util.EList<Element> getSources()

  Returns the value of the 'Source' reference list. The list contents are of type `Element`. Specifies the sources of the DirectedRelationship.

  Returns:
    the value of the 'Source' reference list.
  See Also:
    `UMLPackage.getDirectedRelationship_Source()`

### getTargets

    org.eclipse.emf.common.util.EList<Element> getTargets()

  Returns the value of the 'Target' reference list. The list contents are of type `Element`. Specifies the targets of the DirectedRelationship.

  Returns:
    the value of the 'Target' reference list.
  See Also:
    `UMLPackage.getDirectedRelationship_Target()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.